Description

while examining problems related to the connection pool runnig out of available connections it turned out that Vaadin Ul and View
scope beans are not always destroyed correctly once the view or Ul was no longer used.

One problem was caused by the LoginViewBean being in UIScope. This issue has been solved meanwhile with cdm-vaadin|157¢9c3
but it seems as if some views and presenters are still never being disposed and garbage collected correctly. This can potentially
cause the vaadin Uls to eat up all memory over long time.

Related issues:

Related to EDIT - bug #6687: Multiple representations of the same entity merg... Closed
Related to EDIT - bug #7046: replace open session per view pattern by DTO str... Closed
Related to EDIT - bug #7036: correctly release vaadin view resources when the... Closed
Related to EDIT - bug #7742: vaadin view presenters not disposing ehcaches an... Closed

Associated revisions

Revision 157¢9¢3d - 10/27/2017 11:25 AM - Andreas Kohlbecker

ref #7036 LoginView in View scope helps disposing this bean
it is no longer required to have it in the UIScope

History

#1 - 11/02/2017 10:55 AM - Andreas Kohlbecker

- Related to bug #7036: correctly release vaadin view resources when the browser windows has been closed added

#2 - 11/02/2017 10:56 AM - Andreas Kohlbecker
- Related to bug #6687: Multiple representations of the same entity merge problem added

#3 - 11/02/2017 11:07 AM - Andreas Kohlbecker
- Related to bug #7046: replace open session per view pattern by DTO strategy added

#4 - 11/02/2017 12:32 PM - Andreas Kohlbecker

- Related to deleted (bug #7036: correctly release vaadin view resources when the browser windows has been closed)

#5 - 11/02/2017 12:32 PM - Andreas Kohlbecker

- Is duplicate of bug #7036 correctly release vaadin view resources when the browser windows has been closed added

#6 - 11/02/2017 12:36 PM - Andreas Kohlbecker

- Is duplicate of deleted (bug #7036: correctly release vaadin view resources when the browser windows has been closed)

#7 - 11/02/2017 12:37 PM - Andreas Kohlbecker

- Related to bug #7036: correctly release vaadin view resources when the browser windows has been closed added

#8 - 01/23/2018 01:42 PM - Andreas Kohlbecker
- File Vaadin-Bean-Destroy-Breakpoints.bkpt added

#9 - 03/23/2018 11:18 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/157c9c3d60fe0b32aaf5e42e53444c3036f3c078

- Priority changed from New to Priority11

#10 - 09/07/2018 11:37 AM - Andreas Kohlbecker

- Related to bug #7742: vaadin view presenters not disposing ehcaches and object references in event bus which can cause memory leaks added

#11 - 09/14/2018 11:35 AM - Andreas Kohlbecker
- Description updated
- Status changed from New to Feedback

- Target version changed from Unassigned CDM tickets to Release 5.3

this should also be fixed now that #7742 is solved

#12 - 09/17/2018 11:39 AM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

#13 - 09/17/2018 01:44 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

The RegistrationWorkingsetPresenter, LoginPresenter and RegistationUI still are not destroyed correctly. At least RegistrationWorkingsetPresenter
still seems to be registered to the view event bus.

Is this a session timeout issue?

#14 - 09/17/2018 01:44 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress
#15 - 09/17/2018 03:04 PM - Andreas Kohlbecker
Andreas Kohlbecker wrote:

The RegistrationWorkingsetPresenter, LoginPresenter and RegistationUI still are not destroyed correctly. At least
RegistrationWorkingsetPresenter still seems to be registered to the view event bus.

Is this a session timeout issue?

after ~1h the above mentioned beans have been destroyed with the VaadinSession

#16 - 10/23/2018 12:48 PM - Andreas Kohlbecker
- Priority changed from Priority11 to Highest

#17 - 10/23/2018 02:46 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

this should be fixed mean while according to the examination made for #7824
| am leaving this issue open to be confirmed very soon.

#18 - 10/23/2018 03:04 PM - Andreas Miiller

if you think it is fixed shouldn't we set it to resolved and keep in 5.4 milestone? So we remember it as being primarily a review ticket. If not fully fixed
we can still move it to next version, if fixed we simply close it.

#19 - 10/25/2018 01:17 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed
- Target version changed from Release 5.5 to Release 5.4

- % Done changed from 0 to 100

this has been solved by the changes made for #7036

Files

Vaadin-Bean-Destroy-Breakpoints.bkpt 10.3 KB 01/23/2018 Andreas Kohlbecker
